跳转到主要内容
POST
/
withdraw
/
open
/
otc
/
api
/
order
/
create
创建 OTC 出金订单
curl --request POST \
  --url https://openplatform.gateapi.io/withdraw/open/otc/api/order/create \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "quoteToken": "<string>",
  "bankAccountId": "<string>",
  "cryptoCurrency": "<string>",
  "fiatCurrency": "<string>",
  "cryptoAmount": "<string>",
  "fiatAmount": "<string>",
  "type": "<string>",
  "clientOrderId": "<string>"
}
'
{
  "code": "<string>",
  "status": "<string>",
  "errorMessage": "<string>",
  "data": {
    "orderId": "<string>",
    "status": "<string>",
    "cryptoCurrency": "<string>",
    "fiatCurrency": "<string>",
    "cryptoAmount": "<string>",
    "fiatAmount": "<string>",
    "fiatRate": "<string>",
    "bankAccountId": "<string>",
    "clientOrderId": "<string>",
    "type": "<string>",
    "createTime": 123,
    "updateTime": 123,
    "errMsg": "<string>",
    "tradeFee": "<string>",
    "finalFiatAmount": "<string>",
    "bankSlipInfo": "<string>",
    "promCode": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 POST /withdraw/open/otc/api/order/create 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

使用建议

  • 建议使用最新报价 token 创建出金订单。
  • 请求中的银行账户应已完成审核并可用于结算。
  • 为了后续对账,建议保留预估法币金额、手续费和最终结算金额等字段。
  • 不应只依赖创建响应判断订单完成,建议配合回调和详情查询一起确认状态。

请求头

X-GatePay-Certificate-ClientId
string
必填

用于标识调用应用的商户应用 ClientId。

X-GatePay-Signature
string
必填

按 GatePay 签名规则生成的 HMAC 签名。

X-GatePay-Timestamp
string
必填

用于防重放和验签的 Unix 时间戳。

X-GatePay-Nonce
string
必填

与时间戳配合使用的随机串,用于防止重放攻击。

请求体

application/json
quoteToken
string
必填

询价接口返回的 quote token。

bankAccountId
string
必填

法币结算目标银行账户 ID。

cryptoCurrency
string
必填

卖出的数字货币币种。当前支持:USDT、USDC。

fiatCurrency
string
必填

结算法币币种。当前支持:USD。

cryptoAmount
string
必填

出金订单中的数字货币数量。

fiatAmount
string
必填

预期结算法币金额。

type
string
必填

订单类型。出金场景使用 SELL。

clientOrderId
string
必填

商户自定义唯一订单号。

响应

200 - application/json

成功

code
string

业务响应码。

status
string

请求顶层状态。

errorMessage
string

请求失败时的错误信息。

data
object

订单详情数据。